CLIENT driver version is not supported

Six Stars

CLIENT driver version is not supported

Hi i have an issue,i want to move data from sqlserver input to the dataware house.when i want to give a connection for source and target,source was connected succesfully but target was getting error like client driver version not supported.so how can i install that client driver jdbc or jtds.please help me out

Moderator

Re: CLIENT driver version is not supported

Hello,

Please have a look at tJDBCConnection and tJDBCInput components. You can enter the class name for the specified driver.

https://help.talend.com/reader/FBkS2u8ov2I1ouLNNkMV0w/w64TI73dVavxr80AL2ZtVA

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

Thanks for the reply.Here i am trying to connect from DB connection with dataware house credentials.so then how to connect dataware with db connection? so when i am trying to connect with db connection i got errror like client driver version not ssupported.so please help me out on this errror.please find the attachement.

Six Stars

Re: CLIENT driver version is not supported

Hi,this is the exact error i am getting.but it is resolved for that person.https://community.talend.com/t5/Installing-and-Upgrading/Getting-error-to-connect-to-Microsoft-SQL-S...


can you please tell me where i have to put that jar file in folder????
Moderator

Re: CLIENT driver version is not supported

Hello,

Please have a look at this online installation guide about:TalendHelpCenter:Installing external modules

Your jar file is OK with local file system.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

Hi,thanks for the reply.previously i have followed everything that procedure but i am getting same error.

One Star

Re: CLIENT driver version is not supported


@adityapv wrote:

Hi,thanks for the reply.previously i have followed everything that procedure but i am getting same error.


Here i am trying to connect from DB connection with dataware house credentials.so then how to connect dataware with db connection? so when i am trying to connect psiphon with db connection i got errror like client driver version not ssupported.

Six Stars

Re: CLIENT driver version is not supported

i am getting error from target(azure sql dataware house) plz help me out.please check attached image.

Six Stars

Re: CLIENT driver version is not supported

Hi can you plz help me out,plz check below error.i have created bin path and everything but showing that error.

Moderator

Re: CLIENT driver version is not supported

Hello,

Did you resolve "CLIENT driver version is not supported" issue from your side by installing external jar? How did you create bin path? Please give us a more bit information about it.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

Hi i have installed external jar files related to components but still getting same error.and where i have to give bin path plz give info thankyou.

Moderator

Re: CLIENT driver version is not supported

Hello,

We cannot repro this issue in V 7.1.1 from our side. What's talend build version are you using?

Did you download Microsoft JDBC Driver for SQL Server

from here?

https://docs.microsoft.com/en-us/sql/connect/jdbc/download-microsoft-jdbc-driver-for-sql-server?view...

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

Hi,i have installed jdbc drivers as per configuration but getting same error

Moderator

Re: CLIENT driver version is not supported

Hello,

On which talend build version you got this issue and what's Microsoft server version are you using?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

I am using talend 7.1 version,sql server:2012

Moderator

Re: CLIENT driver version is not supported

Hello,

I tried to download and install the driver file mssql-jdbc.jar in order to finish.
creating MSSQL server metadata or use MSSQL server components in studio. After download it, open the Module view (if it does not appear, go to Windows-->Show view-->Talend, and open it), and click the 'Import external jars' button to import it from the local disk.It works from my end.

 

'Capture.PNG'.png

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Six Stars

Re: CLIENT driver version is not supported

Hi thanks for the reply,i am getting connected with sql server.i am getting error from target side i.e azure sql data ware house side.i was seuccessfully connected sql server connection but error was at target dataware house side.

2019 GARTNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

Best Practices for Using Context Variables with Talend – Part 2

Part 2 of a series on Context Variables

Blog

Best Practices for Using Context Variables with Talend – Part 1

Learn how to do cool things with Context Variables

Blog

Best Practices for Using Context Variables with Talend – Part 3

Read about some useful Context Variable ideas

Blog